bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: emacs-22.1 with GTK problems (with patches)


From: YAMAMOTO Mitsuharu
Subject: Re: emacs-22.1 with GTK problems (with patches)
Date: Mon, 01 Oct 2007 18:02:58 +0900
User-agent: Wanderlust/2.14.0 (Africa) SEMI/1.14.6 (Maruoka) FLIM/1.14.8 (Shijō) APEL/10.6 Emacs/23.0.50 (sparc-sun-solaris2.8) MULE/5.0 (SAKAKI)

>>>>> On Thu, 27 Sep 2007 23:55:26 -0400, Glenn Morris <address@hidden> said:

> Jan Djärv wrote:
>>>>> On Solaris 2.6 there is no recursive mutex support.
>>>> Then we can not support that platform.  I can put in a configure
>>>> test for recursive mutexes, but we have to fail with an error if
>>>> there is no such thing.
>>> What do you think about the change below?
>> 
>> I guess it is OK, but I'd like the OP to test it first, you never
>> know with Solars :-). 2.6 is way too old for me, the oldest I have
>> is Solaris 8 (a.k.a. 2.8).
>> 
>> On second thought, we could also don't define HAVE_GTK_AND_PTHREAD
>> in this case.

> Hi,

> Was a decision reached about what to do here? It would be nice to
> cross this off from FOR-RELEASE...

I think we need more info from the OP:

  * Whether my patch worked or not.
  * Whether GTK+ on Solaris 2.6 uses pthread or not.

BTW, the OP's address, address@hidden,
doesn't look like an address assigned to a person, and it is not
certain whether the OP can be reached with this address as he didn't
post any followups.

                                     YAMAMOTO Mitsuharu
                                address@hidden




reply via email to

[Prev in Thread] Current Thread [Next in Thread]